<div class="container character-display" *ngIf="character">
    <aside class="character-sidebar">

        <section>
            <div class="character-portrait">
                <img 
                (click)="fullScreen()"
                [src]="character.picture">
            </div>

            <div class="character-author">
                <b>PLAYER</b> <a [routerLink]="'/u/'+character.username">{{character.username}}</a>
            </div>

            <div class="character-meta">
                <ul class="character-details">
                    <li><b>Age:</b> 257 years old</li>
                    <li><b>Birthday:</b> Feb 27th</li>
                    <li><b>Occupation:</b> Paid Mage</li>
                    <li><b>Favorite Food:</b> Takoyaki</li>
                </ul>
            </div>
        </section>

    </aside>
    <div class="character-data">

        <header class="character-heading">

            <h1 class="character-title">{{character.name}}</h1>
            <h6 class="page-subtitle">Character's file</h6>

        </header>

        <section class="character-worlds">
            <h3 class="section-title">World</h3>

            <app-world-tag [world]="world"></app-world-tag>

        </section>

        <section class="character-bio">
            <h3 class="section-title">Bio</h3>
            {{character.bio}}
        </section>

        <section class="character-posts">
            <h3 class="section-title">Posts</h3>

            <ul class="character-posts">
                
                <!-- <li
                app-post-preview
                [world]="'Japan Feudal Fantasy'"
                [event-title]="'The Emperors Assasination'"
                [tags]="['Fantasy', 'Magic', 'Demons', 'Ancient']">
                    <p class="brief">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Expedita soluta iusto ad maiores a nam, officiis, deleniti architecto esse, eos unde! Minima culpa sequi asperiores vitae veritatis accusamus possimus cumque!... <button class="text-btn blue" (click)="showPost()">Read Full Entry</button></p>
                </li>

                <li
                app-post-preview
                [world]="'Japan Feudal Fantasy'"
                [event-title]="'The Winter Festival'"
                [tags]="['Fantasy', 'Magic', 'Demons', 'Ancient']">
                    <p class="brief">Lorem ipsum dolor sit amet consectetur adipisicing elit. Laudantium nesciunt eveniet saepe nostrum voluptas illo similique veniam. Odit dignissimos praesentium id suscipit. Dolor sapiente repellat autem... <button class="text-btn blue" (click)="showPost()">Read Full Entry</button></p>
                </li> -->

            </ul>
        </section>

    </div>
</div>




<app-modal
#postModal
[title]="'The Emperors Assasination (extract)'"
[subtitle]="'Japans Feudal Fantasy'"
[postNavigation]="true"
[world]="'cdyet15'"
[thread]="'w2t1'"
[scrollable]="true">

    <p>Lorem ipsum dolor, sit amet consectetur adipisicing elit. Vero enim, architecto reprehenderit labore suscipit quisquam modi vel nam repellat impedit ipsam, sit at omnis. Ex dolorem quisquam quae ipsam eaque. Lorem ipsum dolor sit amet consectetur adipisicing elit. Exercitationem laboriosam repellat, quidem nostrum recusandae magni id fugiat quaerat assumenda nulla autem expedita deserunt perferendis blanditiis! Recusandae mollitia ullam asperiores ut.</p>

    <p>Esse nisi velit incididunt quis. Et laborum voluptate enim do ex dolore consectetur Lorem dolor. Excepteur consequat cupidatat ex proident exercitation velit esse incididunt. Nisi exercitation id ullamco ex velit cupidatat labore non sit ea. Ad commodo labore esse exercitation exercitation esse excepteur amet. Excepteur enim irure velit consectetur amet commodo nulla est occaecat sunt qui et nisi. Sit dolor qui laborum exercitation ullamco reprehenderit consequat ex.</p>

    <p>Amet cillum quis ut mollit commodo magna elit occaecat Lorem irure sunt. Fugiat elit laboris aute mollit esse. Adipisicing laborum nisi reprehenderit eiusmod ut nulla duis aliquip incididunt magna reprehenderit.</p>

    <p>Ea voluptate veniam elit cupidatat id sunt magna adipisicing qui nulla irure esse qui nulla. Tempor ullamco elit aliquip non ex culpa velit. Ex laboris Lorem cupidatat aliquip consequat. Amet ea do aute culpa enim.</p>

    <p>Ex aliqua ut fugiat id eu elit dolor labore in consequat. Esse aute laboris id laboris minim reprehenderit. Esse esse officia sit reprehenderit.</p>

    <p>Fugiat officia aliqua eiusmod Lorem in. Pariatur aute ex esse culpa qui dolor non. In labore adipisicing occaecat aliqua ea dolor proident dolore nulla exercitation. Nulla pariatur deserunt ullamco sit et sit pariatur pariatur laborum. Cillum consectetur consectetur ipsum voluptate incididunt qui aliqua non nostrud pariatur excepteur ipsum sint.</p>

</app-modal>




<app-lightbox 
*ngIf="character"
#lightbox
[title]="'Image title that is optional'"
[brief]="'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Reiciendis illo facilis, veritatis aut qui quae odio excepturi fugiat corrupti quia eveniet repellendus, consequuntur, aspernatur repellat architecto iste? Dolore, magnam dicta.'"
[src]="character.picture"
></app-lightbox>

<app-lightbox 
#galleryImgs
[gallery]="gallery"
></app-lightbox>